cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/user/v1/groupSuggest \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/user/v1/groupSuggest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/user/v1/groupSuggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"suggestions": [
{
"allowlisted": true,
"belongsToDomain": true,
"domain": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
]
}user
Get userv1groupsuggest
Lists the groups either in library role, in a group or in a document’s permissions matching a pattern.
GET
/
user
/
v1
/
groupSuggest
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The pattern to look for (substring)
The Google group to look into
The ID of the library
The role ID to look into (on the selected library)
The document ID in which permissions to look into
The security code
The G Suite domain
⌘I